org.apache.tinkerpop.gremlin.groovy.jsr223.dsl.credential

## Class CredentialTraversalSource

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.dsl.graph.GraphTraversalSource
  - - org.apache.tinkerpop.gremlin.groovy.jsr223.dsl.credential.CredentialTraversalSourceDsl
    - - org.apache.tinkerpop.gremlin.groovy.jsr223.dsl.credential.CredentialTraversalSource

- All Implemented Interfaces:
    AutoCloseable, Cloneable, TraversalSource

      public class CredentialTraversalSource
      extends CredentialTraversalSourceDsl

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.dsl.graph.GraphTraversalSource

      `GraphTraversalSource.Symbols`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.dsl.graph.GraphTraversalSource

      `bytecode, connection, graph, strategies`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialTraversalSource(Graph graph)`
    `CredentialTraversalSource(Graph graph, TraversalStrategies strategies)`
    `CredentialTraversalSource(RemoteConnection connection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CredentialTraversal<Edge,Edge>` | `addE(String label)` Spawns a `GraphTraversal` by adding a edge with the specified label.
    `CredentialTraversal<Edge,Edge>` | `addE(Traversal edgeLabelTraversal)` Spawns a `GraphTraversal` by adding a edge with a label as specified by the provided `Traversal`.
    `CredentialTraversal<Vertex,Vertex>` | `addV()` Spawns a `GraphTraversal` by adding a vertex with the default label.
    `CredentialTraversal<Vertex,Vertex>` | `addV(String label)` Spawns a `GraphTraversal` by adding a vertex with the specified label.
    `CredentialTraversal<Vertex,Vertex>` | `addV(Traversal vertexLabelTraversal)` Spawns a `GraphTraversal` by adding a vertex with the label as determined by a `Traversal`.
    `CredentialTraversalSource` | `clone()` The clone-method should be used to create immutable traversal sources with each call to a configuration "withXXX"-method.
    `CredentialTraversal<Edge,Edge>` | `E(Object... edgeIds)` Spawns a `GraphTraversal` starting with all edges or some subset of edges as specified by their unique identifier.
    `Optional<Class<?>>` | `getAnonymousTraversalClass()`
    `<S> CredentialTraversal<S,S>` | `inject(S... starts)` Spawns a `GraphTraversal` starting it with arbitrary values.
    `CredentialTraversal<Vertex,Vertex>` | `user(String username, String password)` Creates or updates a user.
    `CredentialTraversal<Vertex,Vertex>` | `users()` Finds all users.
    `CredentialTraversal<Vertex,Vertex>` | `users(String username, String... more)` Finds users by name.
    `CredentialTraversal<Vertex,Vertex>` | `V(Object... vertexIds)` Spawns a `GraphTraversal` starting with all vertices or some subset of vertices as specified by their unique identifier.
    `CredentialTraversalSource` | `with(String key)` Provides a configuration to a traversal in the form of a key which is the same as `with(key, true)`.
    `CredentialTraversalSource` | `with(String key, Object value)` Provides a configuration to a traversal in the form of a key value pair.
    `CredentialTraversalSource` | `withBulk(boolean useBulk)`
    `CredentialTraversalSource` | `withComputer()` Add the standard `GraphComputer` of the graph that will be used to execute the traversal.
    `CredentialTraversalSource` | `withComputer(Class<? extends GraphComputer> graphComputerClass)` Add a `GraphComputer` class used to execute the traversal.
    `CredentialTraversalSource` | `withComputer(Computer computer)` Add a `Computer` that will generate a `GraphComputer` from the `Graph` that will be used to execute the traversal.
    `CredentialTraversalSource` | `withoutStrategies(Class<? extends TraversalStrategy>... traversalStrategyClasses)` Remove an arbitrary collection of `TraversalStrategy` classes from the traversal source.
    `CredentialTraversalSource` | `withPath()`
    `<A> CredentialTraversalSource` | `withSack(A initialValue)` Add a sack to be used throughout the life of a spawned `Traversal`.
    `<A> CredentialTraversalSource` | `withSack(A initialValue, BinaryOperator<A> mergeOperator)` Add a sack to be used throughout the life of a spawned `Traversal`.
    `<A> CredentialTraversalSource` | `withSack(A initialValue, UnaryOperator<A> splitOperator)` Add a sack to be used throughout the life of a spawned `Traversal`.
    `<A> CredentialTraversalSource` | `withSack(A initialValue, UnaryOperator<A> splitOperator, BinaryOperator<A> mergeOperator)` Add a sack to be used throughout the life of a spawned `Traversal`.
    `<A> CredentialTraversalSource` | `withSack(Supplier<A> initialValue)` Add a sack to be used throughout the life of a spawned `Traversal`.
    `<A> CredentialTraversalSource` | `withSack(Supplier<A> initialValue, BinaryOperator<A> mergeOperator)` Add a sack to be used throughout the life of a spawned `Traversal`.
    `<A> CredentialTraversalSource` | `withSack(Supplier<A> initialValue, UnaryOperator<A> splitOperator)` Add a sack to be used throughout the life of a spawned `Traversal`.
    `<A> CredentialTraversalSource` | `withSack(Supplier<A> initialValue, UnaryOperator<A> splitOperator, BinaryOperator<A> mergeOperator)` Add a sack to be used throughout the life of a spawned `Traversal`.
    `<A> CredentialTraversalSource` | `withSideEffect(String key, A initialValue)` Add a sideEffect to be used throughout the life of a spawned `Traversal`.
    `<A> CredentialTraversalSource` | `withSideEffect(String key, A initialValue, BinaryOperator<A> reducer)` Add a sideEffect to be used throughout the life of a spawned `Traversal`.
    `<A> CredentialTraversalSource` | `withSideEffect(String key, Supplier<A> initialValue)` Add a sideEffect to be used throughout the life of a spawned `Traversal`.
    `<A> CredentialTraversalSource` | `withSideEffect(String key, Supplier<A> initialValue, BinaryOperator<A> reducer)` Add a sideEffect to be used throughout the life of a spawned `Traversal`.
    `CredentialTraversalSource` | `withStrategies(TraversalStrategy... traversalStrategies)` Add an arbitrary collection of `TraversalStrategy` instances to the traversal source.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.dsl.graph.GraphTraversalSource

      `close, getBytecode, getGraph, getStrategies, io, toString, tx`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialTraversalSource

          public CredentialTraversalSource(Graph graph)

    - #### CredentialTraversalSource

          public CredentialTraversalSource(Graph graph,
                                           TraversalStrategies strategies)

    - #### CredentialTraversalSource

          public CredentialTraversalSource(RemoteConnection connection)

  - ### Method Detail

    - #### clone

          public CredentialTraversalSource clone()

      Description copied from interface: `TraversalSource`
      The clone-method should be used to create immutable traversal sources with each call to a configuration "withXXX"-method. The clone-method should clone the `Bytecode`, `TraversalStrategies`, mutate the cloned strategies accordingly, and then return the cloned traversal source leaving the original unaltered.
      Specified by:
        `clone` in interface `TraversalSource`
      Overrides:
        `clone` in class `GraphTraversalSource`
      Returns:
        the cloned traversal source

    - #### with

          public CredentialTraversalSource with(String key)

      Description copied from class: `GraphTraversalSource`
      Provides a configuration to a traversal in the form of a key which is the same as `with(key, true)`. The key of the configuration must be graph provider specific and therefore a configuration could be supplied that is not known to be valid until execution.
      Specified by:
        `with` in interface `TraversalSource`
      Overrides:
        `with` in class `GraphTraversalSource`
      Parameters:
        `key` - the key of the configuration to apply to a traversal
      Returns:
        a new traversal source with the included configuration

    - #### with

          public CredentialTraversalSource with(String key,
                                                Object value)

      Description copied from class: `GraphTraversalSource`
      Provides a configuration to a traversal in the form of a key value pair. The key of the configuration must be graph provider specific and therefore a configuration could be supplied that is not known to be valid until execution. This is a handy shortcut for building an `OptionsStrategy` manually and then add with `TraversalSource.withStrategies(TraversalStrategy[])`.
      Specified by:
        `with` in interface `TraversalSource`
      Overrides:
        `with` in class `GraphTraversalSource`
      Parameters:
        `key` - the key of the configuration to apply to a traversal
        `value` - the value of the configuration to apply to a traversal
      Returns:
        a new traversal source with the included configuration

    - #### withStrategies

          public CredentialTraversalSource withStrategies(TraversalStrategy... traversalStrategies)

      Description copied from class: `GraphTraversalSource`
      Add an arbitrary collection of `TraversalStrategy` instances to the traversal source.
      Specified by:
        `withStrategies` in interface `TraversalSource`
      Overrides:
        `withStrategies` in class `GraphTraversalSource`
      Parameters:
        `traversalStrategies` - a collection of traversal strategies to add
      Returns:
        a new traversal source with updated strategies

    - #### withoutStrategies

          public CredentialTraversalSource withoutStrategies(Class<? extends TraversalStrategy>... traversalStrategyClasses)

      Description copied from class: `GraphTraversalSource`
      Remove an arbitrary collection of `TraversalStrategy` classes from the traversal source.
      Specified by:
        `withoutStrategies` in interface `TraversalSource`
      Overrides:
        `withoutStrategies` in class `GraphTraversalSource`
      Parameters:
        `traversalStrategyClasses` - a collection of traversal strategy classes to remove
      Returns:
        a new traversal source with updated strategies

    - #### withComputer

          public CredentialTraversalSource withComputer(Computer computer)

      Description copied from class: `GraphTraversalSource`
      Add a `Computer` that will generate a `GraphComputer` from the `Graph` that will be used to execute the traversal. This adds a `VertexProgramStrategy` to the strategies.
      Specified by:
        `withComputer` in interface `TraversalSource`
      Overrides:
        `withComputer` in class `GraphTraversalSource`
      Parameters:
        `computer` - a builder to generate a graph computer from the graph
      Returns:
        a new traversal source with updated strategies

    - #### withComputer

          public CredentialTraversalSource withComputer(Class<? extends GraphComputer> graphComputerClass)

      Description copied from class: `GraphTraversalSource`
      Add a `GraphComputer` class used to execute the traversal. This adds a `VertexProgramStrategy` to the strategies.
      Specified by:
        `withComputer` in interface `TraversalSource`
      Overrides:
        `withComputer` in class `GraphTraversalSource`
      Parameters:
        `graphComputerClass` - the graph computer class
      Returns:
        a new traversal source with updated strategies

    - #### withComputer

          public CredentialTraversalSource withComputer()

      Description copied from class: `GraphTraversalSource`
      Add the standard `GraphComputer` of the graph that will be used to execute the traversal. This adds a `VertexProgramStrategy` to the strategies.
      Specified by:
        `withComputer` in interface `TraversalSource`
      Overrides:
        `withComputer` in class `GraphTraversalSource`
      Returns:
        a new traversal source with updated strategies

    - #### withSideEffect

          public <A> CredentialTraversalSource withSideEffect(String key,
                                                              Supplier<A> initialValue,
                                                              BinaryOperator<A> reducer)

      Description copied from class: `GraphTraversalSource`
      Add a sideEffect to be used throughout the life of a spawned `Traversal`. This adds a `SideEffectStrategy` to the strategies.
      Specified by:
        `withSideEffect` in interface `TraversalSource`
      Overrides:
        `withSideEffect` in class `GraphTraversalSource`
      Parameters:
        `key` - the key of the sideEffect
        `initialValue` - a supplier that produces the initial value of the sideEffect
        `reducer` - a reducer to merge sideEffect mutations into a single result
      Returns:
        a new traversal source with updated strategies

    - #### withSideEffect

          public <A> CredentialTraversalSource withSideEffect(String key,
                                                              A initialValue,
                                                              BinaryOperator<A> reducer)

      Description copied from class: `GraphTraversalSource`
      Add a sideEffect to be used throughout the life of a spawned `Traversal`. This adds a `SideEffectStrategy` to the strategies.
      Specified by:
        `withSideEffect` in interface `TraversalSource`
      Overrides:
        `withSideEffect` in class `GraphTraversalSource`
      Parameters:
        `key` - the key of the sideEffect
        `initialValue` - the initial value of the sideEffect
        `reducer` - a reducer to merge sideEffect mutations into a single result
      Returns:
        a new traversal source with updated strategies

    - #### withSideEffect

          public <A> CredentialTraversalSource withSideEffect(String key,
                                                              A initialValue)

      Description copied from class: `GraphTraversalSource`
      Add a sideEffect to be used throughout the life of a spawned `Traversal`. This adds a `SideEffectStrategy` to the strategies.
      Specified by:
        `withSideEffect` in interface `TraversalSource`
      Overrides:
        `withSideEffect` in class `GraphTraversalSource`
      Parameters:
        `key` - the key of the sideEffect
        `initialValue` - the initial value of the sideEffect
      Returns:
        a new traversal source with updated strategies

    - #### withSideEffect

          public <A> CredentialTraversalSource withSideEffect(String key,
                                                              Supplier<A> initialValue)

      Description copied from class: `GraphTraversalSource`
      Add a sideEffect to be used throughout the life of a spawned `Traversal`. This adds a `SideEffectStrategy` to the strategies.
      Specified by:
        `withSideEffect` in interface `TraversalSource`
      Overrides:
        `withSideEffect` in class `GraphTraversalSource`
      Parameters:
        `key` - the key of the sideEffect
        `initialValue` - a supplier that produces the initial value of the sideEffect
      Returns:
        a new traversal source with updated strategies

    - #### withSack

          public <A> CredentialTraversalSource withSack(Supplier<A> initialValue,
                                                        UnaryOperator<A> splitOperator,
                                                        BinaryOperator<A> mergeOperator)

      Description copied from class: `GraphTraversalSource`
      Add a sack to be used throughout the life of a spawned `Traversal`. This adds a `SackStrategy` to the strategies.
      Specified by:
        `withSack` in interface `TraversalSource`
      Overrides:
        `withSack` in class `GraphTraversalSource`
      Parameters:
        `initialValue` - a supplier that produces the initial value of the sideEffect
        `splitOperator` - the sack split operator
        `mergeOperator` - the sack merge operator
      Returns:
        a new traversal source with updated strategies

    - #### withSack

          public <A> CredentialTraversalSource withSack(A initialValue,
                                                        UnaryOperator<A> splitOperator,
                                                        BinaryOperator<A> mergeOperator)

      Description copied from class: `GraphTraversalSource`
      Add a sack to be used throughout the life of a spawned `Traversal`. This adds a `SackStrategy` to the strategies.
      Specified by:
        `withSack` in interface `TraversalSource`
      Overrides:
        `withSack` in class `GraphTraversalSource`
      Parameters:
        `initialValue` - the initial value of the sideEffect
        `splitOperator` - the sack split operator
        `mergeOperator` - the sack merge operator
      Returns:
        a new traversal source with updated strategies

    - #### withSack

          public <A> CredentialTraversalSource withSack(A initialValue)

      Description copied from class: `GraphTraversalSource`
      Add a sack to be used throughout the life of a spawned `Traversal`. This adds a `SackStrategy` to the strategies.
      Specified by:
        `withSack` in interface `TraversalSource`
      Overrides:
        `withSack` in class `GraphTraversalSource`
      Parameters:
        `initialValue` - the initial value of the sideEffect
      Returns:
        a new traversal source with updated strategies

    - #### withSack

          public <A> CredentialTraversalSource withSack(Supplier<A> initialValue)

      Description copied from class: `GraphTraversalSource`
      Add a sack to be used throughout the life of a spawned `Traversal`. This adds a `SackStrategy` to the strategies.
      Specified by:
        `withSack` in interface `TraversalSource`
      Overrides:
        `withSack` in class `GraphTraversalSource`
      Parameters:
        `initialValue` - a supplier that produces the initial value of the sideEffect
      Returns:
        a new traversal source with updated strategies

    - #### withSack

          public <A> CredentialTraversalSource withSack(Supplier<A> initialValue,
                                                        UnaryOperator<A> splitOperator)

      Description copied from class: `GraphTraversalSource`
      Add a sack to be used throughout the life of a spawned `Traversal`. This adds a `SackStrategy` to the strategies.
      Specified by:
        `withSack` in interface `TraversalSource`
      Overrides:
        `withSack` in class `GraphTraversalSource`
      Parameters:
        `initialValue` - a supplier that produces the initial value of the sideEffect
        `splitOperator` - the sack split operator
      Returns:
        a new traversal source with updated strategies

    - #### withSack

          public <A> CredentialTraversalSource withSack(A initialValue,
                                                        UnaryOperator<A> splitOperator)

      Description copied from class: `GraphTraversalSource`
      Add a sack to be used throughout the life of a spawned `Traversal`. This adds a `SackStrategy` to the strategies.
      Specified by:
        `withSack` in interface `TraversalSource`
      Overrides:
        `withSack` in class `GraphTraversalSource`
      Parameters:
        `initialValue` - the initial value of the sideEffect
        `splitOperator` - the sack split operator
      Returns:
        a new traversal source with updated strategies

    - #### withSack

          public <A> CredentialTraversalSource withSack(Supplier<A> initialValue,
                                                        BinaryOperator<A> mergeOperator)

      Description copied from class: `GraphTraversalSource`
      Add a sack to be used throughout the life of a spawned `Traversal`. This adds a `SackStrategy` to the strategies.
      Specified by:
        `withSack` in interface `TraversalSource`
      Overrides:
        `withSack` in class `GraphTraversalSource`
      Parameters:
        `initialValue` - a supplier that produces the initial value of the sideEffect
        `mergeOperator` - the sack merge operator
      Returns:
        a new traversal source with updated strategies

    - #### withSack

          public <A> CredentialTraversalSource withSack(A initialValue,
                                                        BinaryOperator<A> mergeOperator)

      Description copied from class: `GraphTraversalSource`
      Add a sack to be used throughout the life of a spawned `Traversal`. This adds a `SackStrategy` to the strategies.
      Specified by:
        `withSack` in interface `TraversalSource`
      Overrides:
        `withSack` in class `GraphTraversalSource`
      Parameters:
        `initialValue` - the initial value of the sideEffect
        `mergeOperator` - the sack merge operator
      Returns:
        a new traversal source with updated strategies

    - #### withBulk

          public CredentialTraversalSource withBulk(boolean useBulk)

      Overrides:
        `withBulk` in class `GraphTraversalSource`

    - #### withPath

          public CredentialTraversalSource withPath()

      Overrides:
        `withPath` in class `GraphTraversalSource`

    - #### users

          public CredentialTraversal<Vertex,Vertex> users()

      Description copied from class: `CredentialTraversalSourceDsl`
      Finds all users.
      Overrides:
        `users` in class `CredentialTraversalSourceDsl`

    - #### users

          public CredentialTraversal<Vertex,Vertex> users(String username,
                                                          String... more)

      Description copied from class: `CredentialTraversalSourceDsl`
      Finds users by name.
      Overrides:
        `users` in class `CredentialTraversalSourceDsl`

    - #### user

          public CredentialTraversal<Vertex,Vertex> user(String username,
                                                         String password)

      Description copied from class: `CredentialTraversalSourceDsl`
      Creates or updates a user.
      Overrides:
        `user` in class `CredentialTraversalSourceDsl`

    - #### addV

          public CredentialTraversal<Vertex,Vertex> addV()

      Description copied from class: `GraphTraversalSource`
      Spawns a `GraphTraversal` by adding a vertex with the default label.
      Overrides:
        `addV` in class `GraphTraversalSource`

    - #### addV

          public CredentialTraversal<Vertex,Vertex> addV(String label)

      Description copied from class: `GraphTraversalSource`
      Spawns a `GraphTraversal` by adding a vertex with the specified label. If the `label` is `null` then it will default to `Vertex.DEFAULT_LABEL`.
      Overrides:
        `addV` in class `GraphTraversalSource`

    - #### addV

          public CredentialTraversal<Vertex,Vertex> addV(Traversal vertexLabelTraversal)

      Description copied from class: `GraphTraversalSource`
      Spawns a `GraphTraversal` by adding a vertex with the label as determined by a `Traversal`. If the `vertexLabelTraversal` is `null` then it will default to `Vertex.DEFAULT_LABEL`.
      Overrides:
        `addV` in class `GraphTraversalSource`

    - #### addE

          public CredentialTraversal<Edge,Edge> addE(String label)

      Description copied from class: `GraphTraversalSource`
      Spawns a `GraphTraversal` by adding a edge with the specified label.
      Overrides:
        `addE` in class `GraphTraversalSource`

    - #### addE

          public CredentialTraversal<Edge,Edge> addE(Traversal edgeLabelTraversal)

      Description copied from class: `GraphTraversalSource`
      Spawns a `GraphTraversal` by adding a edge with a label as specified by the provided `Traversal`.
      Overrides:
        `addE` in class `GraphTraversalSource`

    - #### V

          public CredentialTraversal<Vertex,Vertex> V(Object... vertexIds)

      Description copied from class: `GraphTraversalSource`
      Spawns a `GraphTraversal` starting with all vertices or some subset of vertices as specified by their unique identifier.
      Overrides:
        `V` in class `GraphTraversalSource`

    - #### E

          public CredentialTraversal<Edge,Edge> E(Object... edgeIds)

      Description copied from class: `GraphTraversalSource`
      Spawns a `GraphTraversal` starting with all edges or some subset of edges as specified by their unique identifier.
      Overrides:
        `E` in class `GraphTraversalSource`

    - #### inject

          public <S> CredentialTraversal<S,S> inject(S... starts)

      Description copied from class: `GraphTraversalSource`
      Spawns a `GraphTraversal` starting it with arbitrary values.
      Overrides:
        `inject` in class `GraphTraversalSource`

    - #### getAnonymousTraversalClass

          public Optional<Class<?>> getAnonymousTraversalClass()

      Specified by:
        `getAnonymousTraversalClass` in interface `TraversalSource`
      Overrides:
        `getAnonymousTraversalClass` in class `GraphTraversalSource`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.